export declare class Image {
  hash: string;
  el: HTMLElement;
  src: string;
  alt: string;
  w: number;
  maxWidth: number;
  h: string;
  maxH: string;
  fit: "cover";
  rounded: "full";
  lazy: boolean;
  private observer;
  componentDidLoad(): void;
  componentWillLoad(): Promise<void>;
  computeStyles(): Promise<void>;
  private setupObserver;
  private onIntersection;
  _relevantProps: string[];
  render(): any;
}
